Bug 152220 - [PATCH] graphics/mapnik: update to 0.7.1 and unbreak
Summary: [PATCH] graphics/mapnik: update to 0.7.1 and unbreak
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-13 23:20 UTC by freebsd
Modified: 2011-05-25 01:00 UTC (History)
0 users

See Also:


Attachments
file.diff (11.16 KB, patch)
2010-11-13 23:20 UTC, freebsd
no flags Details | Diff
patch-mapnik.txt (4.01 KB, patch)
2011-03-19 01:32 UTC, littlesavage
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2010-11-13 23:20:06 UTC
The attached patch updates graphics/mapnik to the most recent 0.7.1 release and unbreaks it.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-11-13 23:20:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

wenheping@gmail.com => wen@ (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-11-13 23:20:16 UTC
Maintainer of graphics/mapnik,

Please note that PR ports/152220 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/152220

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-11-13 23:20:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 freebsd 2010-11-15 12:29:23 UTC
It seems to fail somewhere in boost. Can you tell me what tool is used 
to get a clean environment and build a package like you do? I am 
building in the context of all packages installed on my system and am 
finding it hard to debug this issue.

Thanks,
- Bartosz
Comment 5 christian.kesselheim 2010-11-25 14:00:19 UTC
Patch & install works for me if I make sure that the

* right version of ICU (3.x, not 4.x) is installed
* boost-libs is installed and linked against ICU 3.x
* boost-all is installed with Python support enabled (not enabled by 
default)

Had trouble with mixing ICU 3.x and 4.x, first. Dunno if Mapnik/Boost 
could be made to work with ICU 4.x, eventually.

Thanks & regards from Luxembourg,

Chris
Comment 6 littlesavage 2011-03-19 01:32:40 UTC
Hi,

graphics/mapnik 0.7.1 builds fine with icu>=4.1.4 and boost-libs>1.41.
Descriptions of problems with boost 1.41 and ICU<4.1.4 can be found on mapnik's 
troubleshooting page:
http://trac.mapnik.org/wiki/InstallationTroubleshooting.

I have attached a new patch.
Comment 7 Doug Barton 2011-05-24 02:21:17 UTC
Is this ready to commit?

-- 

	Nothin' ever doesn't change, but nothin' changes much.
			-- OK Go

	Breadth of IT experience, and depth of knowledge in the DNS.
	Yours for the right price.  :)  http://SupersetSolutions.com/
Comment 8 dfilter service freebsd_committer 2011-05-25 00:53:53 UTC
wen         2011-05-24 23:53:38 UTC

  FreeBSD ports repository

  Modified files:
    graphics/mapnik      Makefile distinfo pkg-plist 
  Log:
  - Update to 0.7.1 and unbreak
  
  PR:             ports/152220
  Submitted by:   Bartosz Fabianowski <freebsd@chillt.de>
  
  Revision  Changes    Path
  1.17      +29 -11    ports/graphics/mapnik/Makefile
  1.5       +2 -2      ports/graphics/mapnik/distinfo
  1.4       +3 -1      ports/graphics/mapnik/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Wen Heping freebsd_committer 2011-05-25 00:58:27 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!